summaryrefslogtreecommitdiff
path: root/.tools/deploy.sh
diff options
context:
space:
mode:
authorSaulc <lucas@debian>2018-01-13 19:41:26 +0100
committerSaulc <lucas@debian>2018-01-13 19:41:26 +0100
commit4c4f4be30bae96e6cd943de326b1a4b1b841dcd4 (patch)
treea94e0a063e5df2a9f7f84f720982a3bca0c0cf6d /.tools/deploy.sh
downloadclientdata-4c4f4be30bae96e6cd943de326b1a4b1b841dcd4.tar.gz
clientdata-4c4f4be30bae96e6cd943de326b1a4b1b841dcd4.tar.bz2
clientdata-4c4f4be30bae96e6cd943de326b1a4b1b841dcd4.tar.xz
clientdata-4c4f4be30bae96e6cd943de326b1a4b1b841dcd4.zip
Initial commit
Diffstat (limited to '.tools/deploy.sh')
-rwxr-xr-x.tools/deploy.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/.tools/deploy.sh b/.tools/deploy.sh
new file mode 100755
index 00000000..7184f4b8
--- /dev/null
+++ b/.tools/deploy.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+source ./.tools/init.sh
+
+clientdata_init
+
+aptget_update
+aptget_install git-core zip gcc zlib1g-dev ca-certificates libxml2-utils python
+rm -rf tools
+gitclone https://gitlab.com/evol evol-tools.git tools
+
+cd clientdata
+rm -rf public
+mkdir public
+
+cd ..
+
+rm -rf music
+gitclone https://gitlab.com/evol evol-music.git music
+
+cd tools/update
+
+./createnew.sh
+check_error $?
+./create_music.sh
+check_error $?
+
+cp -r upload/* ../../clientdata/public
+cd ../../clientdata
+gitclone https://gitlab.com/4144 pagesindexgen.git pagesindexgen
+cd pagesindexgen
+./pagesindexgen.py ../public
+check_error $?
+ls ../public